#ifndef __POISON_HEALTH_H__
#define __POISON_HEALTH_H__

#include "potion.h"

class poison_health final: public potion {
        static const int LOSE_HEALTH = 10;
public:
        poison_health(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
